Subject: Re: bug#22156: CC Mode 5.33 (C++/l); Strange end-of-buffer error

From: Alan Mackenzie <[email-masked]>
Date: Tue, 22 Dec 2015 16:39:56 +0000

Hello, Michael.

On Tue, Dec 22, 2015 at 01:13:38AM -0500, Michael Welsh Duggan wrote:
> Alan Mackenzie <[email-masked]> writes:

[ .... ]

> >> Emacs  : GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, X toolkit)
> >>  of 2015-11-26
> >> Package: CC Mode 5.33 (C++/l)
> >> Buffer Style: SiLK
> >> c-emacs-features: (pps-extended-state col-0-paren posix-char-classes
> >> gen-string-delim gen-comment-delim syntax-properties 1-bit)

> > [ Dump of CC Mode's state snipped, but appreciated. ]

> > The cause was a simple coding error: after searching forward (for a
> > closing >), c-forward-<>-arglist-recur failed to set point back to the
> > starting place before trying the next possibility.

> > Here is a patch which I hope fixes things.  Please let me know whether
> > or not it works satisfactorily.

> I can confirm that this seems to fix the problem.

Thanks.  I've committed the fix (both to SourceForge and savannah
emacs-25 branch) and am marking this bug as closed.

> -- 
> Michael Welsh Duggan
> ([email-masked])

-- 
Alan Mackenzie (Nuremberg, Germany).